package com.mogo.cloud.network;


import java.util.List;

/**
 * created by wujifei on 2020/12/24 11:05
 * describe:于目的地预判的道路事件和违章高发情况的停车推荐 返回数据
 */


public class V2XRoadDataRes {
    private String formatAddress;
    private List<Double> fromPoint;
    private List<Double> topPoint;
    private List<PoiDataDTO> poiData;
    private List<IllegalParkingDataDTO> illegalParkingData;

    public String getFormatAddress() {
        return formatAddress;
    }

    public void setFormatAddress(String formatAddress) {
        this.formatAddress = formatAddress;
    }

    public List<Double> getFromPoint() {
        return fromPoint;
    }

    public void setFromPoint(List<Double> fromPoint) {
        this.fromPoint = fromPoint;
    }

    public List<Double> getTopPoint() {
        return topPoint;
    }

    public void setTopPoint(List<Double> topPoint) {
        this.topPoint = topPoint;
    }

    public List<PoiDataDTO> getPoiData() {
        return poiData;
    }

    public void setPoiData(List<PoiDataDTO> poiData) {
        this.poiData = poiData;
    }

    public List<IllegalParkingDataDTO> getIllegalParkingData() {
        return illegalParkingData;
    }

    public void setIllegalParkingData(List<IllegalParkingDataDTO> illegalParkingData) {
        this.illegalParkingData = illegalParkingData;
    }

    public static class PoiDataDTO {
        /**
         * generateTime : 1607061691000
         * type : 0
         * lat : 39.988346
         * lon : 116.410857
         * direction : 333
         * items : [{"url":"http://petchfile-1255510688.cos.ap-beijing.myqcloud.com/sso-server-image/1603181678357.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDCWfcNwD5PXVWLxwejccR3Tiz5zhIkx0T%26q-sign-time%3D1607393278%3B1607400478%26q-key-time%3D1607393278%3B1607400478%26q-header-list%3D%26q-url-param-list%3D%26q-signature%3D78c0f738f4dae37e67c235561c78120b86433a04"}]
         * cityName :
         * distance : 21447
         * nickName : 独狼
         * headImgUrl : https://yycp-static-1255510688.cos.ap-beijing.myqcloud.com/defaultUserHeadImg/VN000015.jpg
         * sn :
         * userId : 0
         * trafficInfoType : 0
         * infoId : 784423898000445440
         * poiType : 10015
         * uploadType : 2
         * likeNum : 3
         * systemLikeNum : 3
         * fabulous : false
         */


        private long generateTime;

        private int type;
        private double lat;
        private double lon;

        private int direction;
        private String cityName;

        private int distance;
        private String nickName;

        private String headImgUrl;

        private String sn;

        private long userId;

        private String trafficInfoType;

        private String infoId;

        private String poiType;

        private String uploadType;

        private int likeNum;

        private int systemLikeNum;

        private boolean fabulous;

        private List<ItemsDTO> items;

        public long getGenerateTime() {
            return generateTime;
        }

        public void setGenerateTime(long generateTime) {
            this.generateTime = generateTime;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public double getLat() {
            return lat;
        }

        public void setLat(double lat) {
            this.lat = lat;
        }

        public double getLon() {
            return lon;
        }

        public void setLon(double lon) {
            this.lon = lon;
        }

        public int getDirection() {
            return direction;
        }

        public void setDirection(int direction) {
            this.direction = direction;
        }

        public String getCityName() {
            return cityName;
        }

        public void setCityName(String cityName) {
            this.cityName = cityName;
        }

        public int getDistance() {
            return distance;
        }

        public void setDistance(int distance) {
            this.distance = distance;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public String getHeadImgUrl() {
            return headImgUrl;
        }

        public void setHeadImgUrl(String headImgUrl) {
            this.headImgUrl = headImgUrl;
        }

        public String getSn() {
            return sn;
        }

        public void setSn(String sn) {
            this.sn = sn;
        }

        public long getUserId() {
            return userId;
        }

        public void setUserId(long userId) {
            this.userId = userId;
        }

        public String getTrafficInfoType() {
            return trafficInfoType;
        }

        public void setTrafficInfoType(String trafficInfoType) {
            this.trafficInfoType = trafficInfoType;
        }

        public String getInfoId() {
            return infoId;
        }

        public void setInfoId(String infoId) {
            this.infoId = infoId;
        }

        public String getPoiType() {
            return poiType;
        }

        public void setPoiType(String poiType) {
            this.poiType = poiType;
        }

        public String getUploadType() {
            return uploadType;
        }

        public void setUploadType(String uploadType) {
            this.uploadType = uploadType;
        }

        public int getLikeNum() {
            return likeNum;
        }

        public void setLikeNum(int likeNum) {
            this.likeNum = likeNum;
        }

        public int getSystemLikeNum() {
            return systemLikeNum;
        }

        public void setSystemLikeNum(int systemLikeNum) {
            this.systemLikeNum = systemLikeNum;
        }

        public boolean isFabulous() {
            return fabulous;
        }

        public void setFabulous(boolean fabulous) {
            this.fabulous = fabulous;
        }

        public List<ItemsDTO> getItems() {
            return items;
        }

        public void setItems(List<ItemsDTO> items) {
            this.items = items;
        }


        public static class ItemsDTO {
            /**
             * url : http://petchfile-1255510688.cos.ap-beijing.myqcloud.com/sso-server-image/1603181678357.png?sign=q-sign-algorithm%3Dsha1%26q-ak%3DAKIDCWfcNwD5PXVWLxwejccR3Tiz5zhIkx0T%26q-sign-time%3D1607393278%3B1607400478%26q-key-time%3D1607393278%3B1607400478%26q-header-list%3D%26q-url-param-list%3D%26q-signature%3D78c0f738f4dae37e67c235561c78120b86433a04
             */


            private String url;

            public String getUrl() {
                return url;
            }

            public void setUrl(String url) {
                this.url = url;
            }
        }
    }


    public static class IllegalParkingDataDTO {
        /**
         * generateTime : 1594047156488
         * type : 3
         * lat : 40.028599
         * lon : 116.412712
         * direction : 0
         * addr : 红军营南路红军营南路万科星园北口至红军营南路北苑路口段
         * items : []
         * cityName :
         * distance : 6728
         * nickName :
         * headImgUrl :
         * sn :
         * userId : 0
         * trafficInfoType : 0
         * infoId : 686267
         * poiType : 10016
         * uploadType : 3
         * likeNum : 0
         * systemLikeNum : 0
         * fabulous : false
         */


        private long generateTime;

        private int type;

        private double lat;

        private double lon;

        private int direction;

        private String addr;

        private String cityName;

        private int distance;

        private String nickName;

        private String headImgUrl;

        private String sn;

        private long userId;

        private String trafficInfoType;

        private String infoId;

        private String poiType;

        private String uploadType;

        private int likeNum;

        private int systemLikeNum;

        private boolean fabulous;

        private List<?> items;

        public long getGenerateTime() {
            return generateTime;
        }

        public void setGenerateTime(long generateTime) {
            this.generateTime = generateTime;
        }

        public int getType() {
            return type;
        }

        public void setType(int type) {
            this.type = type;
        }

        public double getLat() {
            return lat;
        }

        public void setLat(double lat) {
            this.lat = lat;
        }

        public double getLon() {
            return lon;
        }

        public void setLon(double lon) {
            this.lon = lon;
        }

        public int getDirection() {
            return direction;
        }

        public void setDirection(int direction) {
            this.direction = direction;
        }

        public String getAddr() {
            return addr;
        }

        public void setAddr(String addr) {
            this.addr = addr;
        }

        public String getCityName() {
            return cityName;
        }

        public void setCityName(String cityName) {
            this.cityName = cityName;
        }

        public int getDistance() {
            return distance;
        }

        public void setDistance(int distance) {
            this.distance = distance;
        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String nickName) {
            this.nickName = nickName;
        }

        public String getHeadImgUrl() {
            return headImgUrl;
        }

        public void setHeadImgUrl(String headImgUrl) {
            this.headImgUrl = headImgUrl;
        }

        public String getSn() {
            return sn;
        }

        public void setSn(String sn) {
            this.sn = sn;
        }

        public long getUserId() {
            return userId;
        }

        public void setUserId(long userId) {
            this.userId = userId;
        }

        public String getTrafficInfoType() {
            return trafficInfoType;
        }

        public void setTrafficInfoType(String trafficInfoType) {
            this.trafficInfoType = trafficInfoType;
        }

        public String getInfoId() {
            return infoId;
        }

        public void setInfoId(String infoId) {
            this.infoId = infoId;
        }

        public String getPoiType() {
            return poiType;
        }

        public void setPoiType(String poiType) {
            this.poiType = poiType;
        }

        public String getUploadType() {
            return uploadType;
        }

        public void setUploadType(String uploadType) {
            this.uploadType = uploadType;
        }

        public int getLikeNum() {
            return likeNum;
        }

        public void setLikeNum(int likeNum) {
            this.likeNum = likeNum;
        }

        public int getSystemLikeNum() {
            return systemLikeNum;
        }

        public void setSystemLikeNum(int systemLikeNum) {
            this.systemLikeNum = systemLikeNum;
        }

        public boolean isFabulous() {
            return fabulous;
        }

        public void setFabulous(boolean fabulous) {
            this.fabulous = fabulous;
        }

        public List<?> getItems() {
            return items;
        }

        public void setItems(List<?> items) {
            this.items = items;
        }
    }
}

